Network
All operations require authentication.
List IPs attached to this VPSProduction
Returns the IP addresses attached to the VPS.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ ips \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
List the available countries for IP geolocation (GeoIP) on this VPSProduction
Returns the countries that can be set for the geolocation of the VPS IPs.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ ipCountryAvailable \
-H "authorization: Bearer $OVH_TOKEN"[ "at"]
List domains configured on secondary DNS for this VPSProduction
Returns the domains configured on the secondary DNS of the VPS.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Retrieve details about a specific IP attached to this VPSProduction
Returns the IP address, its type and version, reverse DNS, geolocation, gateway and MAC address.
Path parameters
Ip address
Service name
Response
IP address (e.g., 192.0.2.0)
Geolocation of the IP Address
ataubecachczdeesfifrgbieinitltnlplptsgukusThe effective ip address of the Ip object
Ip types on a VPS
additionalprimaryIp versions
v4v6Example uses ipAddress = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ ips/ {ipAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "gateway": "192.0.2.0", "geolocation": "at", "ipAddress": "192.0.2.0", "macAddress": "string", "reverse": "string", "type": "additional", "version": "v4"}
Retrieve the secondary DNS configuration for a specific domainProduction
Returns the domain, the target IP and the master IP of a secondary DNS domain of the VPS.
Path parameters
Domain
Service name
Response
secondary dns server
domain on slave server
IPv4 address (e.g., 192.0.2.0)
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "dns": "string", "domain": "string", "ipMaster": "192.0.2.0"}
Retrieve the authoritative name server information for this secondary DNS domainProduction
Returns the name and the IP of the authoritative name server of a secondary DNS domain of the VPS.
Path parameters
Domain
Service name
Response
the name server
IPv4 address (e.g., 192.0.2.0)
IPv6 address (e.g., 2001:41d0:1:1994::1)
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains/ {domain}/ dnsServer \
-H "authorization: Bearer $OVH_TOKEN"{ "hostname": "string", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1"}
Retrieve the secondary DNS name server available for this VPSProduction
Returns the name and the IP of the secondary DNS name server available for the VPS.
Path parameters
Service name
Response
the name server
IPv4 address (e.g., 192.0.2.0)
IPv6 address (e.g., 2001:41d0:1:1994::1)
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsNameServerAvailable \
-H "authorization: Bearer $OVH_TOKEN"{ "hostname": "string", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1"}
Add a domain to the secondary DNS configurationProduction
Adds a domain to the secondary DNS of the VPS.
Path parameters
Service name
Request body (required)
The domain to add
IPv4 address (e.g., 192.0.2.0)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains \
-H "authorization: Bearer $OVH_TOKEN"Release an additional IP attached to this VPSProduction
Releases an additional IP from the VPS.
Path parameters
Ip address
Service name
Response
Example uses ipAddress = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ ips/ {ipAddress} \
-H "authorization: Bearer $OVH_TOKEN"Remove this domain from the secondary DNS configurationProduction
Removes a domain from the secondary DNS of the VPS.
Path parameters
Domain
Service name
Response
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"Update IP properties for this VPSProduction
Updates the reverse DNS of an IP of the VPS.
Path parameters
Ip address
Service name
Request body (required)
IP address (e.g., 192.0.2.0)
Geolocation of the IP Address
ataubecachczdeesfifrgbieinitltnlplptsgukusThe effective ip address of the Ip object
Ip types on a VPS
additionalprimaryIp versions
v4v6Response
Example uses ipAddress = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ ips/ {ipAddress} \
-H "authorization: Bearer $OVH_TOKEN"